
QGIS Application - Bug report #20795

QGIS 3.4.1 crashes on 'Save as...'

2018-12-13 10:55 AM - Christopher Wesson

Status: Closed

Priority: High

Assignee:

Category: Actions

Affected QGIS version:3.4.1 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28615

Description

Choosing Project > Save as is successfully saving the project but is also closing the software!

Not great as I got our IT team to roll this out as a LTR.

Using Windows 10 on a Lenovo P51. Saving to a networked server.

History

#1 - 2018-12-13 11:08 AM - Christopher Wesson

The problem appears to be if there is a 'saved to memory' layer in the project, even if it is turned off and not required.

Deleting such layers resolves the issue.

Suggest this need either fixing or a warning pop-up on save as.

#2 - 2018-12-13 11:21 AM - Alessandro Pasotti

- Priority changed from Normal to High

Would you be able to test the latest nightly dev builds and confirm that the bug is still present in master?

#3 - 2018-12-14 11:58 AM - Richard Duivenvoorde

@Christoper: I cannot duplicate this, nor in 3.4.2 (3.4 version I have) nor in current development version.

Can you provide an example project or more precisely the steps you do to see this behaviour?

Can you also try to move your 'profile' folder and start with a fresh profile, just to check if it is in one of the plugins or so?

Please let us know what happens then.

#4 - 2018-12-18 08:29 AM - Saber Razmjooei

- Status changed from Open to Feedback

#5 - 2019-01-15 04:06 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
